Vla-get-scalefactor

提供: GizmoLabs - だいたい CAD LISP なサイト
移動先: 案内検索
構文
(vla-get-scalefactor vla-object )


機能
オブジェクトの尺度を取得する。


引数
  • vla-object … VLAオブジェクト(Attribute、AttributeReference、DgnUnderlay、Dim3PointAngular、DimAligned、DimAngular、DimArcLength、DimDiametric、Dimension、DimOrdinate、DimRadial、DimRadialLarge、DimRotated、DwfUnderlay、GeomapImage、Leader、MLeader、MLeaderStyle、PdfUnderlay、RasterImage、Shape、Text、Tolerance、Wipeout)


戻り値
0.0 よりも大きい実数。尺度係数が 1 より大きいと、オブジェクトは拡大される。尺度係数が 1 より小さい(ただし 0 より大きい)と、オブジェクトは縮小される。


  • MEMO: このプロパティの初期値は 1.0000。
  • 尺度係数はしばしば、相対 X 倍率と呼ばれる。尺度係数はオブジェクトの幅に適用され、高さとは別に幅だけを調整できる。たとえば、尺度係数を 0.8 に指定すると、オブジェクトは調整していない通常の幅の 80% の幅で描かれる。
  • 寸法、引出線、幾何公差オブジェクト: このプロパティはシステム変数 DIMSCALE の値を変更する。
  • ペーパー空間で作業している場合、寸法の尺度は 0.0 に等しく、CAD は現在のモデル空間のビューポートとペーパー空間の間の尺度設定に基づいて適切な既定値を計算する。ペーパー空間の寸法に対する尺度は変更できない。


サンプル
(vl-load-com)
(defun c:Example_ScaleFactor()
    ;; テキストを作成して尺度を変更するサンプル。
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
    
    ;; テキストの定義
    (setq textString "Hello, World."
          insertionPoint (vlax-3d-point 2 2 0)
          height 0.5)

    ;; テキストを作成
    (setq modelSpace (vla-get-ModelSpace doc))  
    (setq textObj (vla-AddText modelSpace textString insertionPoint height))
    (vla-ZoomAll acadObj)
    
    ;; 現在値を表示
    (setq currScaleFactor (vla-get-Scalefactor textObj))
    (alert (strcat "現在のテキストの尺度は " (rtos currScaleFactor 2)))
    
    ;; Change the scale factor for the text object
    (vla-put-Scalefactor textObj (1+ currScaleFactor))
    (vla-Regen doc :vlax-true)
    (alert (strcat "新しいテキストの尺度は  " (rtos (vla-get-Scalefactor textObj) 2)))
)


関連事項